Subject: bug#73117: 30.0.90; Imenu missing entries when flattening by group

From: Daniel Mendler <[email-masked]>
Date: Sun, 08 Sep 2024 20:28:07 +0200

Juri Linkov <[email-masked]> writes:

> Maybe Daniel (Cc:ed) could help us understand
> why 'completion--insert-horizontal' doesn't display groups.

If I remember correctly, I didn't add group titles to the horizontal
formatting in order to keep the display more dense, with the goal of
fitting as many candidates on the screen as possible. In my Vertico
package, I am using a similar strategy, where group titles are not shown
for the flat and grid display modes. In any case, there shouldn't be a
technical reason which prevents us from showing the titles also for the
horizontal display.

Daniel